Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store.vm
Class VMMessageStore

    java.lang.Object
      org.codehaus.activemq.store.vm.VMMessageStore

All Implemented Interfaces:
  MessageStore, Service

Direct Known Subclasses:
  VMTopicMessageStore

public class VMMessageStore
extends Object
implements MessageStore

An implementation of `MessageStore` which uses a

Version:
  $Revision: 1.1 $

Field Summary
`protected Map` | `messageTable`

Constructor Summary
`VMMessageStore()`
`VMMessageStore(LinkedHashMap messageTable)`

Method Summary
`MessageIdentity` | `addMessage(ActiveMQMessage message)` Adds a message to the message store
`ActiveMQMessage` | `getMessage(MessageIdentity identity)` Looks up a message using either the String messageID or the messageNumber.
`void` | `recover(QueueMessageContainer container)` Recover any messages to be delivered onto the dispatch queue.
`void` | `removeMessage(MessageIdentity identity, MessageAck ack)`
`void` | `start()` Called to start the service
`void` | `stop()` Called to shutdown the service

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messageTable

    protected Map messageTable

Constructor Detail

### VMMessageStore

    public VMMessageStore()

### VMMessageStore

    public VMMessageStore(LinkedHashMap messageTable)

Method Detail

### addMessage

    public MessageIdentity addMessage(ActiveMQMessage message)
                               throws JMSException

  Description copied from interface: `MessageStore`
  Adds a message to the message store

  Specified by:
    `addMessage` in interface `MessageStore`
  Throws:
    `JMSException`

### getMessage

    public ActiveMQMessage getMessage(MessageIdentity identity)
                               throws JMSException

  Description copied from interface: `MessageStore`
  Looks up a message using either the String messageID or the messageNumber. Implementations are encouraged to fill in the missing key if its easy to do so.

  Specified by:
    `getMessage` in interface `MessageStore`
  Parameters:
    `identity` - which contains either the messageID or the messageNumber
  Returns:
    the message or null if it does not exist
  Throws:
    `JMSException`

### removeMessage

    public void removeMessage(MessageIdentity identity,
                              MessageAck ack)
                       throws JMSException

  Specified by:
    `removeMessage` in interface `MessageStore`
  Throws:
    `JMSException`

### recover

    public void recover(QueueMessageContainer container)
                 throws JMSException

  Description copied from interface: `MessageStore`
  Recover any messages to be delivered onto the dispatch queue.

  Only called when this store is used for durable queues.

  Specified by:
    `recover` in interface `MessageStore`
  Parameters:
    `container` -
  Throws:
    `JMSException`

### start

    public void start()
               throws JMSException

  Description copied from interface: `Service`
  Called to start the service

  Specified by:
    `start` in interface `Service`
  Throws:
    `JMSException`

### stop

    public void stop()
              throws JMSException

  Description copied from interface: `Service`
  Called to shutdown the service

  Specified by:
    `stop` in interface `Service`
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.